Subject: Can't extend load-path with EMACSLOADPATH
From: Reuben Thomas <[email-masked]>
To: bug-emacs <[email-masked]>
Date: Tue, 31 Jul 2012 14:01:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Sometimes, it is useful to start emacs with -q --no-splash, for
example for quick startup, or in order to avoid problems with
facilities like the server, or desktop.el, which only really work in
one instantiation per user.

However, my .emacs modifies load-path to point to my per-user elisp
files, and it would be nice if emacs -q could get these too.

The obvious way is to use EMACSLOADPATH, but this can only be used to
override the default load-path, not extend it. It would be nice if
something like

EMACSLOADPATH=":$HOME/site-lisp"

i.e. a value containing an empty path segment, could be used to extend the path.

-- 
http://rrt.sc3d.org